%define upstream_name    JSON-Path
%define upstream_version 0.204

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Search nested hashref/arrayref structures using JSONPath
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(lvalue)
BuildArch:  noarch

%description
This module implements JSONPath, an XPath-like language for searching
JSON-like structures.

JSONPath is described at the http://goessner.net/articles/JsonPath/
manpage.

This module is JSON::JOM-compatible.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYRIGHT Changes HACKING LICENSE META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.204.0-2.mga4
+ Revision: 527668
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 0.204.0-1.mga4
+ Revision: 441631
- update to 0.204

* Sun Jan 13 2013 umeabot <umeabot> 0.203.0-2.mga3
+ Revision: 368780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.203.0-1.mga3
+ Revision: 306429
- update to 0.203

* Tue Sep 18 2012 jquelin <jquelin> 0.201.0-1.mga3
+ Revision: 295875
- imported package perl-JSON-Path


* Tue Sep 18 2012 cpan2dist 0.201-1mga
- initial mageia release, generated with cpan2dist
